var o = [ "red", "yellow", "blue", "green", "red" ];

Page({
    data: {
        toView: "red",
        scrollTop: 100
    },
    upper: function(o) {
        console.log(o);
    },
    lower: function(o) {
        console.log(o);
    },
    scroll: function(o) {
        console.log(o);
    },
    tap: function(t) {
        for (var e = 0; e < o.length; ++e) if (o[e] === this.data.toView) {
            this.setData({
                toView: o[e + 1]
            });
            break;
        }
    },
    tapMove: function(o) {
        this.setData({
            scrollTop: this.data.scrollTop + 10
        });
    }
});